Skip to main content
POST
/
export
/
3d
Export a 3D model
curl --request POST \
  --url https://api.krea.ai/export/3d \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_id": "c14245f2-3689-4d71-abd8-530a35a1e5af",
  "node_app_key": "<string>"
}
'
import requests

url = "https://api.krea.ai/export/3d"

payload = {
"job_id": "c14245f2-3689-4d71-abd8-530a35a1e5af",
"node_app_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({job_id: 'c14245f2-3689-4d71-abd8-530a35a1e5af', node_app_key: '<string>'})
};

fetch('https://api.krea.ai/export/3d', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
job_id
string
required

A unique identifier for a job

Example:

"c14245f2-3689-4d71-abd8-530a35a1e5af"

file_format
enum<string>
required

Target format for the export. The model is returned as a ZIP file.

Available options:
obj,
fbx,
stl,
ply
node_app_key
string

When the job is a node app, the output key of the 3D model to export (the key under result.urls).

Response

Exported 3D model URL

url
string<uri>
required

URL of the exported 3D model, returned as a ZIP file.